UNIQ(1)

NUME
uniq - raportează sau omite liniile repetate

SINOPSIS
uniq [OPȚIUNE]... [INTRARE [IEȘIRE]]

DESCRIERE

Filtrează liniile adiacente care se potrivesc din INTRARE (sau intrarea standard), scriind rezultatul la IEȘIRE (sau ieșirea standard).

Fără opțiuni, liniile care se potrivesc sunt îmbinate la prima ocurență.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-c, --count
    prefixează liniile după numărul de ocurențe

-d, --repeated
    afișează doar linii duplicate, câte una pentru fiecare grup

-D  afișează toate liniile duplicate

--all-repeated[=METODA]
    ca -D, dar permite separarea grupurilor cu o linie goală; METODA={none(implicit), prepend, separate)

-f, --skip-fields=N
    evită compararea primelor N câmpuri

--group[=METODA]
    afișează toate elementele, separând grupurile cu o linie goală; METODA={separate(implicit), prepend, append, both}

-i, --ignore-case
    ignoră diferențele între majuscule și minuscule când compară

-s, --skip-chars=N
    evită compararea primelor N caractere

-u, --unique
    afișează doar liniile unice

-z, --zero-terminated
    delimitatorul de linie este NUL, nu linie nouă

-w, --check-chars=N
    nu compară mai mult de N caractere în linii

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Un câmp este o serie de spații libere (de obicei spații și/sau tabulatoare), apoi caractere care nu sunt goale. Câmpurile dinaintea caracterelor sunt omise.

«uniq» nu detectează liniile repetate decât dacă acestea sunt adiacente. Poate doriți să sortați mai întâi intrarea sau să utilizați «sort -u» fără «uniq».

AUTOR
Scris de Richard M. Stallman și David MacKenzie.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
comm(1), join(1), sort(1)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/uniq>
sau local rulând comanda: «info '(coreutils) uniq invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.